### Virtual Method

# Atk Component scroll_to

since: 2.30

#### Declaration [src]

    gboolean
    scroll_to (
      AtkComponent* component,
      AtkScrollType type
    )

#### Description [src]

Makes `component` visible on the screen by scrolling all necessary parents.

Contrary to atk_component_set_position, this does not actually move `component` in its parent, this only makes the parents scroll so that the object shows up on the screen, given its current position within the parents.

Available since: 2.30

#### Parameters

`type`

  Type: `AtkScrollType`

  Specify where the object should be made visible.

#### Return value

Type: `gboolean`

Whether scrolling was successful.